Python 3.8 status in focal

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Python 3.8 status in focal

Matthias Klose-6
Python 3.8 is now a supported Python3 version in focal-proposed.  This is the
first step in making Python 3.8 the default Python3 version.  Most packages in
the stack are now built and migrated into the release pocket.  The current
status can be tracked in

https://people.canonical.com/~ubuntu-archive/transitions/html/python3.8-add.html

About half of the "bad" packages are false positives, and are communicated in
the Debian bug tracker.  While we still need to fix things, the packages should
be in a state not blocking any other transitions.

For general information about Python 3.8 updates, please see
https://wiki.debian.org/Python/Python3.8.  Please also use the proposed tagging
when forwarding issues to Debian.

Next steps for focal are:

  - Fix ftbfs in -proposed, introduced by building for 3.8.

  - Fix autopkg tests to let python3-defaults migrate. At this
    point all autopkg tests for packages setup for multiple
    Python3 versions will be run for 3.7 and 3.8.

  - Do the first archive test rebuild with python3-defaults
    supporting both 3.7 and 3.8, and then fix issues before
    making 3.8 the default Python3 version.

Michael Hudson-Doyle
Matthias Klose

--
ubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel